Name:           esmska
Version:        1.2.0
Release:        %mkrel 5
Summary:        Sending SMS over the Internet
Group:          Networking/Other
License:        GPLv2+
URL:            http://code.google.com/p/esmska/

Source:         %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       jre >= 1.6.0
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  ant >= 1.7.1
BuildRequires:  ant-junit
BuildRequires:	desktop-file-utils

%description
Program for sending SMS over the Internet.
 * Send SMS to various operators (local or international) 
 * Supports all common operating systems (Linux, Windows, Mac OS, etc.) 
 * Free, under free/open-source licence GNU AGPL 
 * Import contacts from other programs (DreamCom) and formats (vCard) 
 * Send SMS to multiple recipients at once 
 * History of sent messages
 * Pluggable operator system
 * Extensive possibilities of changing appearance 
 * Many other planned features

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
This package contains a javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# sed -i -e 's/^#\s*checkUpdatePolicy\s*=\s*all.*/checkUpdatePolicy = gateways/' %{name}/include/%{name}.conf

%build
#cd %{name}
# some files names needs UTF-8
LC_ALL="en_US.UTF-8" ant

%install
rm -fr $RPM_BUILD_ROOT/
cd dist
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 0644 %{name}.jar $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 0755 %{name}.sh $RPM_BUILD_ROOT/%{_datadir}/%{name}/
# jars
install -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib
install -m 0644 lib/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib
# other files
cp -r gateways $RPM_BUILD_ROOT/%{_datadir}/%{name}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}
cp -pr javadoc/* $RPM_BUILD_ROOT/%{_javadocdir}/%{name}
# esmska bin
install -d -m 0755 $RPM_BUILD_ROOT/%{_bindir}/
ln -sf ../../%{_datadir}/%{name}/%{name}.sh $RPM_BUILD_ROOT/%{_bindir}/%{name}
# icon
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 icons/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applications
# esmska.conf
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 0644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -sf %{_sysconfdir}/%{name}/%{name}.conf $RPM_BUILD_ROOT/%{_datadir}/%{name}/%{name}.conf

desktop-file-install                 \
        --add-category Application                       \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
        ../resources/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(-,root,root,0755)
%doc dist/license/license.txt dist/license/gnu-agpl.txt
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}














%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-5.mga4
+ Revision: 530933
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.2.0-4.mga4
+ Revision: 461052
- remove ant-nodeps and ant-trax from buildrequires

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 349726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 pterjan <pterjan> 1.2.0-2.mga3
+ Revision: 281152
- Drop useless Requires(post,postun), there are no scriptlets on this package

* Thu Jan 26 2012 petos <petos> 1.2.0-1.mga2
+ Revision: 202031
- Fixed setup tag
- Fixed reltag
- New version

* Sat Dec 10 2011 petos <petos> 1.1.0-2.mga2
+ Revision: 180287
- Minor changes in SPEC
- Changed file-naming of Source file

* Sat Dec 10 2011 petos <petos> 1.1.0-1.mga2
+ Revision: 180266
- Minor groups fix
- New version of Esmska with some new bugfixes

* Sun Oct 16 2011 petos <petos> 1.0.0-1.mga2
+ Revision: 155590
- Fixed RPM group
- imported package esmska

